import request from "@/utils/request";

// 获得ipqc待检验分页
export function getIpqcPage(query) {
  return request({
    url: "/rtkwms/incoming-receipt-inspection/pageIpqc",
    method: "get",
    params: query,
  });
}

// ipqc新增检验标准
export function getPageIpqcNew(data) {
  return request({
    url: "/rtkwms/material-additional/pageIpqcNew",
    method: "post",
    data: data,
  });
}

// ipqc保存
export function saveIpqcAllForPC(data) {
  return request({
    url: "/rtkqms/material-item-result/updateIpqcAllForPC",
    method: "put",
    data: data,
  });
}

// ipqc查看检验文件
export function getIpqcResultFiles(query) {
  return request({
    url: "/rtkwms/ipqc-result-file/getFileByProcessNo",
    method: "get",
    params: query,
  });
}
